- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Protected Member Functions | List of all members
G::IdentityUser Class Reference

A convenience class which, when used as a private base, can improve readability when calling Identity 'set' methods. More...

`#include <gidentity.h>`

Inheritance diagram for G::IdentityUser:

## Static Protected Member Functions
static void | setRealUserTo (Identity, bool do_throw=true)
| Sets the real userid. More...
static void | setEffectiveUserTo (Identity, bool do_throw=true)
| Sets the effective userid. More...
static void | setEffectiveUserTo (SignalSafe, Identity)
| Sets the effective userid. More...
static void | setRealGroupTo (Identity, bool do_throw=true)
| Sets the real group id. More...
static void | setEffectiveGroupTo (Identity, bool do_throw=true)
| Sets the effective group id. More...
static void | setEffectiveGroupTo (SignalSafe, Identity)
| Sets the effective group id. More...

## Detailed Description

A convenience class which, when used as a private base, can improve readability when calling Identity 'set' methods.

Definition at line 109 of file gidentity.h.

## Member Function Documentation

void G::IdentityUser::setEffectiveGroupTo | ( | Identity | id,
|  | bool | do_throw = `true`
| ) |  |
| static protected

Sets the effective group id.

Definition at line 189 of file gidentity_unix.cpp.

void G::IdentityUser::setEffectiveGroupTo | ( | SignalSafe | safe,
|  | Identity | id
| ) |  |
| static protected

Sets the effective group id.

Definition at line 194 of file gidentity_unix.cpp.

void G::IdentityUser::setEffectiveUserTo | ( | Identity | id,
|  | bool | do_throw = `true`
| ) |  |
| static protected

Sets the effective userid.

Definition at line 174 of file gidentity_unix.cpp.

void G::IdentityUser::setEffectiveUserTo | ( | SignalSafe | safe,
|  | Identity | id
| ) |  |
| static protected

Sets the effective userid.

Definition at line 179 of file gidentity_unix.cpp.

void G::IdentityUser::setRealGroupTo | ( | Identity | id,
|  | bool | do_throw = `true`
| ) |  |
| static protected

Sets the real group id.

Definition at line 184 of file gidentity_unix.cpp.

void G::IdentityUser::setRealUserTo | ( | Identity | id,
|  | bool | do_throw = `true`
| ) |  |
| static protected

Sets the real userid.

Definition at line 169 of file gidentity_unix.cpp.

The documentation for this class was generated from the following files:

- gidentity.h
- gidentity_unix.cpp